import MD5 from "js-md5";

export const YYYYMMDDHHmmss = "YYYY-MM-DD HH:mm:ss";
export const PLATFORM = "WEB";

if (!localStorage.getItem("deviceId")) {
  localStorage.setItem("deviceId", MD5(Math.random() + "-" + Date.now()));
}
export const DEVICE_ID = localStorage.getItem("deviceId");

export const PROJECT_STATUS = [
  {
    name: "未开始",
    code: "NONE",
  },
  {
    name: "进行中",
    code: "PROCESSING",
  },
  {
    name: "已完成",
    code: "FINISH",
  },
  {
    name: "任务失败",
    code: "FAIL",
  },
  {
    name: "停止中",
    code: "STOPING",
  },
];

export const ORG_GLOSSARY = {
  DESCRIBE010: "整体分析——试卷特征量数",
  DESCRIBE020: "整体分析——等距（10分）分组频数分布",
  DESCRIBE030: "整体分析——科目分数线分组的频数分布",
  DESCRIBE040: "整体分析——科目成绩占初试总分权重",
  DESCRIBE050: "试卷分析——试卷题目编排",
  DESCRIBE060: "试卷分析——试题特征量数",
  DESCRIBE070: "试卷分析——题型题目难度等级构成分布（一）",
  DESCRIBE080: "试卷分析——题型题目难度等级构成分布（二）",
  DESCRIBE090: "试卷分析——题型题目难度等级构成分布（三）",
  DESCRIBE100: "试卷分析——内容题目难度等级构成分布（一）",
  DESCRIBE110: "试卷分析——内容题目难度等级构成分布（二）",
  DESCRIBE120: "试卷分析——内容题目难度等级构成分布（三）",
  DESCRIBE130: "试卷分析——能力题目难度等级构成分布（一）",
  DESCRIBE140: "试卷分析——能力题目难度等级构成分布（二）",
  DESCRIBE150: "试卷分析——能力题目难度等级构成分布（三）",
  DESCRIBE160: "试卷分析——题型题目区分度等级构成分布（一）",
  DESCRIBE170: "试卷分析——题型题目区分度等级构成分布（二）",
  DESCRIBE180: "试卷分析——题型题目区分度等级构成分布（三）",
  DESCRIBE190: "试卷分析——内容题目区分度等级构成分布（一）",
  DESCRIBE200: "试卷分析——内容题目区分度等级构成分布（二）",
  DESCRIBE210: "试卷分析——内容题目区分度等级构成分布（三）",
  DESCRIBE220: "试卷分析——能力题目区分度等级构成分布（一）",
  DESCRIBE230: "试卷分析——能力题目区分度等级构成分布（二）",
  DESCRIBE240: "试卷分析——能力题目区分度等级构成分布（三）",
  DESCRIBE250: "试卷分析——试题难度分组分布（按本科目成绩分组）",
  DESCRIBE260: "试卷分析——试题难度分组分布（按初试总分分组）",
  DESCRIBE270: "试卷分析——客观题选项选择比率分布",
};

export const RANGE_POINT_TYPE = {
  ZERO: "零分",
  CUSTOM: "自定义",
  NATIONAL_SCORE: "国家单科线",
  RETEST_SCORE: "复试单科线",
  NATIONAL_TOTAL_SCORE: "国家总分线",
  RETEST_TOTAL_SCORE: "复试总分线",
  TOTAL_SCORE_LINE: "国家满分线",
};
